namespace OrangeGuidanceTomestone;

public class Messages {
    internal static readonly string[] Templates = {
        "{0} ahead",
        "No {0} ahead",
        "{0} required ahead",
        "Be wary of {0}",
        "Try {0}",
        "Likely {0}",
        "First off, {0}",
        "Seek {0}",
        "Still no {0}...",
        "Why is it always {0}?",
        "If only I had a {0}...",
        "Didn't expect {0}...",
        "Visions of {0}...",
        "Could this be a {0}?",
        "Time for {0}",
        "{0}, O {0}",
        "Behold, {0}!",
        "Offer {0}",
        "Praise the {0}",
        "Let there be {0}",
        "Ahh, {0}...",
        "{0}",
        "{0}!",
        "{0}?",
        "{0}...",
    };

    internal static readonly string[] Conjunctions = {
        "and then",
        "or",
        "but",
        "therefore",
        "in short",
        "except",
        "by the way",
        "so to speak",
        "all the more",
        ",",
    };

    internal static readonly Dictionary<string, string[]> Words = new() {
        ["Enemies"] = new[] {
            "enemy",
            "weak foe",
            "strong foe",
            "monster",
            "dragon",
            "boss",
            "sentry",
            "group",
            "pack",
            "decoy",
            "undead",
            "soldier",
            "knight",
            "cavalier",
            "archer",
            "sniper",
            "mage",
            "ordnance",
            "monarch",
            "lord",
            "demi-human",
            "outsider",
            "giant",
            "horse",
            "dog",
            "wolf",
            "rat",
            "beast",
            "bird",
            "raptor",
            "snake",
            "crab",
            "prawn",
            "octopus",
            "bug",
            "scarab",
            "slug",
            "wraith",
            "skeleton",
            "monstrosity",
            "ill-omened creature",
        },

        ["People"] = new[] {
            "Tarnished",
            "warrior",
            "swordfighter",
            "knight",
            "samurai",
            "sorcerer",
            "cleric",
            "sage",
            "merchant",
            "teacher",
            "master",
            "friend",
            "lover",
            "old dear",
            "old codger",
            "angel",
            "fat coinpurse",
            "pauper",
            "good sort",
            "wicked sort",
            "plump sort",
            "skinny sort",
            "lovable sort",
            "pathetic sort",
            "strange sort",
            "nimble sort",
            "laggardly sort",
            "invisible sort",
            "unfathomable sort",
            "giant sort",
            "sinner",
            "thief",
            "liar",
            "dastard",
            "traitor",
            "pair",
            "trio",
            "noble",
            "aristocrat",
            "hero",
            "champion",
            "monarch",
            "lord",
            "god",
        },

        ["Things"] = new[] {
            "item",
            "necessary item",
            "precious item",
            "something",
            "something incredible",
            "treasure chest",
            "corpse",
            "coffin",
            "trap",
            "armament",
            "shield",
            "bow",
            "projectile weapon",
            "armor",
            "talisman",
            "skill",
            "sorcery",
            "incantation",
            "map",
            "material",
            "flower",
            "grass",
            "tree",
            "fruit",
            "seed",
            "mushroom",
            "tear",
            "crystal",
            "butterfly",
            "bug",
            "dung",
            "grace",
            "door",
            "key",
            "ladder",
            "lever",
            "lift",
            "spiritspring",
            "sending gate",
            "stone astrolabe",
            "Birdseye Telescope",
            "message",
            "bloodstain",
            "Erdtree",
            "Elden Ring",
        },

        ["Battle Tactics"] = new[] {
            "close-quarters battle",
            "ranged battle",
            "horseback battle",
            "luring out",
            "defeating one-by-one",
            "taking on all at once",
            "rushing in",
            "stealth",
            "mimicry",
            "confusion",
            "pursuit",
            "fleeing",
            "summoning",
            "circling around",
            "jumping off",
            "dashing through",
            "brief respite",
        },

        ["Actions"] = new[] {
            "attacking",
            "jump attack",
            "running attack",
            "critical hit",
            "two-handing",
            "blocking",
            "parrying",
            "guard counter",
            "sorcery",
            "incantation",
            "skill",
            "summoning",
            "throwing",
            "healing",
            "running",
            "rolling",
            "backstepping",
            "jumping",
            "crouching",
            "target lock",
            "item crafting",
            "gesturing",
        },

        ["Situations"] = new[] {
            "morning",
            "noon",
            "evening",
            "night",
            "clear sky",
            "overcast",
            "rain",
            "storm",
            "mist",
            "snow",
            "patrolling",
            "procession",
            "crowd",
            "surprise attack",
            "ambush",
            "pincer attack",
            "beating to a pulp",
            "battle",
            "reinforcements",
            "ritual",
            "explosion",
            "high spot",
            "defensible spot",
            "climbable spot",
            "bright spot",
            "dark spot",
            "open area",
            "cramped area",
            "hiding place",
            "sniping spot",
            "recon spot",
            "safety",
            "danger",
            "gorgeous view",
            "detour",
            "hidden path",
            "secret passage",
            "shortcut",
            "dead end",
            "looking away",
            "unnoticed",
            "out of stamina",
        },

        ["Places"] = new[] {
            "high road",
            "checkpoint",
            "bridge",
            "castle",
            "fort",
            "city",
            "ruins",
            "church",
            "tower",
            "camp site",
            "house",
            "cemetery",
            "underground tomb",
            "tunnel",
            "cave",
            "evergaol",
            "great tree",
            "cellar",
            "surface",
            "underground",
            "forest",
            "river",
            "lake",
            "bog",
            "mountain",
            "valley",
            "cliff",
            "waterside",
            "nest",
            "hole",
        },
        
        ["Directions"] = new[] {
            
        }
    };

    internal Messages() {
    }
}
